<ion-header>
	<ion-navbar>
		<ion-title class="title-after-back">
			Places
		</ion-title>
		<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
		</button>
	</ion-navbar>
</ion-header>
<ion-content>
	<ion-grid class="">
		<ion-row justify-content-center margin-top class="content-center">
			<ion-col col-12 col-sm col-auto >
				<ion-grid>
					<ion-row>
						<ion-col class="icon-center">
							<img src="assets/icon/fauteil.png" class="fauteile" />
							<p class="label-icon freeSeat">Libre</p>
						</ion-col>
						<ion-col class="icon-center">
							<img src="assets/icon/fauteillee.png" class="fauteile" />
							<p class="label-icon reservedSeat">Prise</p>
						</ion-col>
						<ion-col class="icon-center">
							<img src="assets/icon/fauteille.png" class="fauteile" />
							<p class="label-icon selectedSeat">Sélection</p>
						</ion-col>
						<ion-col class="icon-center">
							<img src="assets/icon/fautei.png" class="fauteile" />
							<p class="label-icon notAvailable">Aucun</p>
						</ion-col>

						<ion-col class="icon-center">
							<ion-icon ios="ios-cash" md="md-cash" class="ion-icon-md ion-icon-ios selectedSeat"></ion-icon>
							<p class="label-icon selectedSeat">{{amount}} Ar</p>
						</ion-col>

					</ion-row>
				</ion-grid>
			</ion-col>
		</ion-row>
	</ion-grid>
	<div class="border_"></div>
	<div class="center-content">
		<ion-grid class="grid-center">
			<ion-row justify-content-center margin-top class="content-center">
				<ion-col col-auto>
					<div *ngFor="let row of rows">
						<span class="seat" *ngFor="let col of cols" (click)="seatClicked(row + col)" 
						[ngSwitch]="getStatus(row + col)">
						<span *ngSwitchCase="'selected'" >
							<img src="assets/icon/fauteille.png" class="fautei" />
						</span>
						<span *ngSwitchCase="'reserved'">
							<img src="assets/icon/fauteillee.png" class="fautei" />
						</span>
						<span *ngSwitchCase="'notavailable'">
							<img src="assets/icon/fautei.png" class="fautei" />
						</span>
						<span *ngSwitchDefault>
							<img src="assets/icon/fauteil.png" class="fautei" />
						</span>
					</span>
				</div>
				<div class="footer-img"></div>
			</ion-col>
		</ion-row>	

	</ion-grid>

	<ion-grid class="grid-center-md grid-center-ios">
		<ion-row justify-content-center class="row-top">
			<ion-row justify-content-center class="">
				<ion-col col-12 col-sm col-auto >
					<ion-list class="list_" padding-top maring-top>			
						<fieldset style="padding-top: 0rem;">
							<legend class="billing">Détails de facturation</legend>
							<ion-item class="input-cover-md input-cover-ios" >
								<ion-label no-padding no-margin>
									<ion-icon ios="ios-contact" md="md-contact" class="ion-icon-md ion-icon-ios"></ion-icon>
								</ion-label>
								<ion-input type="text" placeholder="Nom et prénom" [(ngModel)]="billing.name" required></ion-input>
							</ion-item>

							<ion-item class="input-cover-md input-cover-ios" *ngIf="broker">
								<ion-label no-padding no-margin>
									<ion-icon ios="ios-person" md="md-person" class="ion-icon-md ion-icon-ios"></ion-icon>
								</ion-label>
								<ion-input type="text" placeholder="Nom Client" [(ngModel)]="billing.name_reserver" required></ion-input>
							</ion-item>
							<ion-item class="input-cover-md input-cover-ios" *ngIf="broker">
								<ion-label no-padding no-margin>
									<ion-icon ios="ios-home" md="md-home" class="ion-icon-md ion-icon-ios"></ion-icon>
								</ion-label>
								<ion-input type="text" placeholder="N° CIN Client" [(ngModel)]="billing.cin_reserver" required></ion-input>
							</ion-item>
						</fieldset>

					</ion-list>
				</ion-col>
			</ion-row>
		</ion-row>
	</ion-grid>

	<button (click)="clearSelected()" [disabled]="selected.length === 0" ion-button  block  class="button-md button-ios clean_">
		<ion-icon item-start name="refresh"></ion-icon>
		Effacer
	</button>

	<button (click)="saveSelectedSeat()" [disabled]="selected.length === 0" ion-button  block  class="button-md button-ios">
		<ion-icon item-start name="cart"></ion-icon>
		Réserver
	</button>

</div>
</ion-content>


